summaryrefslogtreecommitdiff
path: root/platform/ios/scripts/package.sh
diff options
context:
space:
mode:
Diffstat (limited to 'platform/ios/scripts/package.sh')
-rwxr-xr-xplatform/ios/scripts/package.sh13
1 files changed, 5 insertions, 8 deletions
diff --git a/platform/ios/scripts/package.sh b/platform/ios/scripts/package.sh
index 2506540910..61a052780e 100755
--- a/platform/ios/scripts/package.sh
+++ b/platform/ios/scripts/package.sh
@@ -1,8 +1,7 @@
#!/usr/bin/env bash
-set -e
+set -eu
set -o pipefail
-set -u
NAME=Mapbox
OUTPUT=build/ios/pkg
@@ -10,7 +9,7 @@ DERIVED_DATA=build/ios
PRODUCTS=${DERIVED_DATA}
LOG_PATH=build/xcodebuild-$(date +"%Y-%m-%d_%H%M%S").log
-BUILDTYPE=${BUILDTYPE:-Debug}
+BUILDTYPE=${BUILDTYPE:-Release}
BUILD_FOR_DEVICE=${BUILD_DEVICE:-true}
SYMBOLS=${SYMBOLS:-YES}
@@ -56,7 +55,7 @@ echo ${HASH}
echo ${HASH} >> ${VERSION}
PROJ_VERSION=$(git rev-list --count HEAD)
-SEM_VERSION=$( git describe --tags --match=ios-v*.*.* --abbrev=0 | sed 's/^ios-v//' )
+SEM_VERSION="4.5.0-cn.1"
SHORT_VERSION=${SEM_VERSION%-*}
step "Building targets (build ${PROJ_VERSION}, version ${SEM_VERSION})"
@@ -77,8 +76,7 @@ xcodebuild \
-workspace ./platform/ios/ios.xcworkspace \
-scheme ${SCHEME} \
-configuration ${BUILDTYPE} \
- -sdk iphonesimulator \
- -jobs ${JOBS} | tee ${LOG_PATH} | xcpretty
+ -sdk iphonesimulator | tee ${LOG_PATH} | xcpretty
if [[ ${BUILD_FOR_DEVICE} == true ]]; then
step "Building ${FORMAT} framework for iOS devices using ${SCHEME} scheme"
@@ -92,8 +90,7 @@ if [[ ${BUILD_FOR_DEVICE} == true ]]; then
-workspace ./platform/ios/ios.xcworkspace \
-scheme ${SCHEME} \
-configuration ${BUILDTYPE} \
- -sdk iphoneos \
- -jobs ${JOBS} | tee ${LOG_PATH} | xcpretty
+ -sdk iphoneos | tee ${LOG_PATH} | xcpretty
fi
LIBS=(Mapbox.a)